"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const typeorm_1 = require("typeorm");
class Db {
    static async createTestConnection() {
        await this.createConnection({
            dropSchema: true,
        });
    }
    static async createConnection(options = {}) {
        if (this.connection) {
            await this.connection.close();
        }
        const entities = [
            path_1.join(process.cwd(), "out", "domain", "**", "*.js"),
        ];
        const finalOptions = Object.assign({ database: process.env.TYPEORM_DATABASE, dropSchema: false, entities, extra: JSON.parse(process.env.TYPEORM_DRIVER_EXTRA || ""), host: process.env.TYPEORM_HOST, logging: process.env.TYPEORM_LOGGING, password: process.env.TYPEORM_PASSWORD, port: process.env.TYPEORM_PORT, synchronize: true, type: process.env.TYPEORM_DRIVER_TYPE, username: process.env.TYPEORM_USERNAME }, options);
        this.connection = await typeorm_1.createConnection(finalOptions);
    }
}
exports.Db = Db;
//# sourceMappingURL=Db.js.map