"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Foobar_1 = require("../../domain/Foobar/Foobar");
const Id_1 = require("../Id/Id");
const Db_1 = require("./Db");
describe("Db", () => {
    it("drops schema when creating test connection", async () => {
        const id = Id_1.Id();
        await Db_1.Db.createTestConnection();
        let repository = Db_1.Db.connection.getRepository(Foobar_1.Foobar);
        await repository.save({ id });
        await Db_1.Db.createTestConnection();
        repository = Db_1.Db.connection.getRepository(Foobar_1.Foobar);
        const foobar = await repository.findOneById(id);
        console.assert(!foobar);
    });
    it("creates regular connection without dropping schema", async () => {
        const id = Id_1.Id();
        await Db_1.Db.createTestConnection();
        let repository = Db_1.Db.connection.getRepository(Foobar_1.Foobar);
        await repository.save({ id });
        await Db_1.Db.createConnection();
        repository = Db_1.Db.connection.getRepository(Foobar_1.Foobar);
        const foobar = await repository.findOneById(id);
        console.assert(foobar);
    });
});
//# sourceMappingURL=Db.test.js.map